<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require_once '../modelo/odoo_producto.php';

// 1. Obtener el ID de la etiqueta 'versaprink' para buscar los productos
// la respuesta es un Array con un solo elemento
// $tag_id = OdooProducto::getProductTagId('versaprink');
$tag_id = OdooProducto::getProductTagId('guias');

// 2. Buscar los productos con la etiqueta 'versaprink'
$produdctos = OdooProducto::searchProducts($tag_id);
// $produdctos = OdooProducto::searchProduct($tag_id);

// echo json_encode($tag_id);
echo json_encode($produdctos);

?>